# Pykka

Pykka is a Python implementation of the actor model. The actor model introduces some simple rules to control the sharing of state and cooperation between execution units, which makes it easier to build concurrent applications.

For details and code examples, see the Pykka documentation.

Pykka is available from PyPI. To install it, run:

    pip install pykka

Pykka works with CPython 2.7 and 3.5+, as well as PyPy 2.7 and 3.5+.

Usage

- Quickstart
  - Rules of the actor model
  - The actor implementations
  - A basic actor
  - Actor proxies
- Examples
  - Plain actor
  - Actor with proxy
  - Multiple cooperating actors
  - Pool of actors sharing work
  - Mopidy music server
- Pykka API
  - Actors
  - Proxies
  - Futures
  - Registry
  - Exceptions
  - Messages
  - Logging
  - Debug helpers
- Runtimes
  - Threading
  - gevent
  - eventlet
- Testing
  - An example

About

- Inspiration
  - What Pykka is not
- Changes
  - v2.0.2 (2019-12-02)
  - v2.0.1 (2019-10-10)
  - v2.0.0 (2019-05-07)
  - v1.2.1 (2015-07-20)
  - v1.2.0 (2013-07-15)
  - v1.1.0 (2013-01-19)
  - v1.0.1 (2012-12-12)
  - v1.0.0 (2012-10-26)
  - v0.16 (2012-09-19)
  - v0.15 (2012-08-11)
  - v0.14 (2012-04-22)
  - v0.13 (2011-09-24)
  - v0.12.4 (2011-07-30)
  - v0.12.3 (2011-06-25)
  - v0.12.2 (2011-05-05)
  - v0.12.1 (2011-04-25)
  - v0.12 (2011-03-30)